## python-asyncmy 0.2.10

=== Makefile ===
checkfiles = asyncmy/ tests/ examples/ conftest.py build.py
py_warn = PYTHONDEVMODE=1
MYSQL_PASS ?= "123456"

up:
	@poetry update

deps:
	@poetry install

_style:
	@isort -src $(checkfiles)
	@black $(checkfiles)

style: deps _style

_check:
	@black --check $(checkfiles) || (echo "Please run 'make style' to auto-fix style issues" && false)
	@ruff check $(checkfiles)
	@mypy $(checkfiles)

check: deps _check

_test:
	$(py_warn) MYSQL_PASS=$(MYSQL_PASS) pytest

test: deps _test

clean:
	@rm -rf *.so && rm -rf build && rm -rf dist && rm -rf asyncmy/*.c && rm -rf asyncmy/*.so && rm -rf asyncmy/*.html

build: clean
	@poetry build

benchmark: deps
	@python benchmark/main.py

ci: deps _check _test

=== debian/changelog ===
python-asyncmy (0.2.10-1) unstable; urgency=medium

  * [7957b9f] New upstream version 0.2.10
  * [0ccf0d1] Rebuild patch queue from patch-queue branch
    Adjusted patch:
    setup.py-Add-needed-file-from-the-PyPi-wheel.patch
  * [d0f9428] d/rules: Correct PYBUILD_NAME assignment to asyncmy
  * [35c6824] d/control: B-D only on python3-dev instead of libpython3-all-dev
    (Closes: #1087655)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 04 Dec 2024 16:18:15 +0100

python-asyncmy (0.2.9-1) unstable; urgency=medium

  [ Kathara Sasikumar ]
  * [4985620] New upstream version 0.2.9

  [ Carsten Schoenert ]
  * [588eadb] First and initial Debianization
    (Closes: #1085081)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 14 Oct 2024 11:04:52 +0100

=== debian/control ===
Source: python-asyncmy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
 Carsten Schoenert <c.schoenert@t-online.de>,
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 dh-sequence-python3,
 python3-dev,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/long2ice/asyncmy
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asyncmy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-asyncmy.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-asyncmy
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Fast asyncio MySQL/MariaDB driver (Python 3)
 asyncmy is a fast asyncio MySQL/MariaDB driver, which reuse most of pymysql
 and aiomysql but rewrite core protocol with cython to speedup.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/long2ice/asyncmy.git \
      refs/tags/@ANY_VERSION@

## python-asyncmy 0.2.11

=== Makefile ===
--- 
+++ 
@@ -6,16 +6,16 @@
 	@poetry update
 
 deps:
-	@poetry install
+	@poetry install --all-groups
 
 _style:
-	@isort -src $(checkfiles)
-	@black $(checkfiles)
+	@ruff format $(checkfiles)
+	@ruff check --fix $(checkfiles)
 
 style: deps _style
 
 _check:
-	@black --check $(checkfiles) || (echo "Please run 'make style' to auto-fix style issues" && false)
+	@ruff format --check $(checkfiles) || (echo "Please run 'make style' to auto-fix style issues" && false)
 	@ruff check $(checkfiles)
 	@mypy $(checkfiles)

=== debian/changelog ===
python-asyncmy (0.2.11-1) unstable; urgency=medium

  * [e2f89ac] d/watch: Convert to version 5
  * [f872758] New upstream version 0.2.11
  * [b855a23] Rebuild patch queue from patch-queue branch
    Adjusted patch:
    setup.py-Add-needed-file-from-the-PyPi-wheel.patch
  * [5ff1402] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * [8e9683c] d/control: Drop field Priority: optional
  * [6a74905] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [cd1b6fe] d/copyright: Update year data
  * [279138c] d/README.source: Fix some typos and grammar

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 23 Jan 2026 17:06:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-asyncmy
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Kathara Sasikumar <katharasasikumar007@gmail.com>,
@@ -15,12 +14,11 @@
  python3-all,
  python3-poetry-core,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/long2ice/asyncmy
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asyncmy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asyncmy.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-asyncmy
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://github.com/long2ice/asyncmy.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Mode: git
Pgpmode: none
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
